Katello - Bug #7102

The rabl files are using the params hash
08/15/2014 07:19 AM - David Davis

Status: Rejected
Priority: Normal
Assignee:

Category: API
Target version:

Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The issue is that the only way to set things like sort_by and sort_order in app/views/katello/api/v2/common/_metadata.json.rabl would
be to modify the params hash which is undesirable. We should have variables that get set instead.

History

#1 - 08/15/2014 02:18 PM - Eric Helms
- Target version set to 55
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 09/08/2014 08:12 AM - Eric Helms

- Target version changed from 55 to 56

#3 - 09/22/2014 02:36 PM - Eric Helms
- Target version deleted (56)

- translation missing: en.field_release set to 14

#4 - 12/02/2014 03:11 PM - Eric Helms

- translation missing: en.field_release changed from 14 to 23

#5 - 02/06/2015 07:23 PM - Eric Helms

- translation missing: en.field_release deleted (23)

#6 - 12/21/2015 03:28 PM - Eric Helms

- translation missing: en.field_release set to 86

#7 - 02/16/2016 09:09 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 114

#8 - 08/28/2019 08:13 PM - John Mitsch
- Status changed from New to Rejected

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep
a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the
new issue and reassess.
